libetonyek::IWORKExternalTextWrapElement Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKExternalTextWrapElement Class Reference

`#include <IWORKWrapElement.h>`

Inheritance diagram for libetonyek::IWORKExternalTextWrapElement:

## Public Member Functions
| IWORKExternalTextWrapElement (IWORKXMLParserState &state, boost::optional< IWORKExternalTextWrap > &wrap)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Member Functions
| IWORKExternalTextWrapElement (const IWORKExternalTextWrapElement &)
IWORKExternalTextWrapElement & | operator= (const IWORKExternalTextWrapElement &)

## Private Attributes
boost::optional< IWORKExternalTextWrap > & | m_wrap

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKExternalTextWrapElement() [1/2]

libetonyek::IWORKExternalTextWrapElement::IWORKExternalTextWrapElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKExternalTextWrap > & | wrap )

## ◆ IWORKExternalTextWrapElement() [2/2]

libetonyek::IWORKExternalTextWrapElement::IWORKExternalTextWrapElement | ( | const IWORKExternalTextWrapElement & |  | ) |
| private

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKExternalTextWrapElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprotected

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKExternalTextWrapElement::element | ( | int | name | ) |
| overrideprotected

## ◆ endOfElement()

void libetonyek::IWORKExternalTextWrapElement::endOfElement | ( |  | ) |
| overrideprotected

## ◆ operator=()

IWORKExternalTextWrapElement & libetonyek::IWORKExternalTextWrapElement::operator= | ( | const IWORKExternalTextWrapElement & |  | ) |
| private

## Member Data Documentation

## ◆ m_wrap

boost::optional<IWORKExternalTextWrap>& libetonyek::IWORKExternalTextWrapElement::m_wrap
| private

Referenced by attribute(), endOfElement(), and IWORKExternalTextWrapElement().

The documentation for this class was generated from the following files:

- IWORKWrapElement.h
- IWORKWrapElement.cpp